Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.sequence.alignment.event
Interface AlignmentEventProvider

All Known Subinterfaces:
  SequenceAlignment

All Known Implementing Classes:
  AbstractSequenceAlignment, CinemaCoreView, CinemaModule, EmptySequenceAlignment, GroupSequenceAlignment

public interface AlignmentEventProvider

AlignmentEventProvider.java Created: Mon Apr 24 16:59:55 2000

Version:
  $Id: AlignmentEventProvider.java,v 1.2 2001/04/11 17:04:43 lord Exp $
Author:
  Phillip Lord

Method Summary
`void` | `addAlignmentListener(AlignmentListener listener)` Add a listener specifically interested in events connected with the MSA.
`void` | `addVetoableAlignmentListener(VetoableAlignmentListener listener)` Adds a listener interested in vetoing multiple sequence alignment specific events.
`void` | `removeAlignmentListener(AlignmentListener listener)` Removes a multiple sequence alignment listener.
`void` | `removeVetoableAlignmentListener(VetoableAlignmentListener listener)` Removes a vetoable multiple sequence alignment listener.

Method Detail

### addAlignmentListener

    public void addAlignmentListener(AlignmentListener listener)

  Add a listener specifically interested in events connected with the MSA.

  Parameters:
    `listener` - a multiple sequence alignment listener

### removeAlignmentListener

    public void removeAlignmentListener(AlignmentListener listener)

  Removes a multiple sequence alignment listener.

  Parameters:
    `listener` - the listener to be removed

### addVetoableAlignmentListener

    public void addVetoableAlignmentListener(VetoableAlignmentListener listener)

  Adds a listener interested in vetoing multiple sequence alignment specific events.

  Parameters:
    `listener` - a vetoable multiple sequence alignment listener

### removeVetoableAlignmentListener

    public void removeVetoableAlignmentListener(VetoableAlignmentListener listener)

  Removes a vetoable multiple sequence alignment listener.

  Parameters:
    `listener` - the listener to be removed

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD